/**
 * （应用菜单）
 *
 * @class ${srfclassname('${ctrl.name}')}
 * @extends {IBizAppMenu}
 */
var ${view.codeName}_${srfclassname('${ctrl.name}')} = /** @class */ (function (_super) {

    __extends(${srfclassname('${ctrl.name}')}, _super);
  
    /**
     * Creates an instance of ${srfclassname('${ctrl.name}')}.
     * 创建 ${srfclassname('${ctrl.name}')} 实例
     *
     * @param {*} [opts={}]
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    function ${srfclassname('${ctrl.name}')}(opts) {
        if (opts === void 0) { opts = {}; }
        var _this = _super.call(this, opts) || this;
        return _this;
    }
    <#if ctrl.getPSSysCounter()??>
    
    /**
     * 获取计数器名称
     *
     * @returns {string}
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.getUICounterName = function () {
        <#if ctrl.getPSSysCounter()??>
        <#assign ctrlcounter = ctrl.getPSSysCounter()>
        return '${ctrlcounter.getCodeName()}';
        </#if>
    };
    </#if>
    
    /**
     * 注册应用功能
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.setAppFunctions = function () {
        <#if ctrl.getPSAppFuncs()??>
        <#list ctrl.getPSAppFuncs() as appfunc>
        var appfun_${appfunc_index} = { appfuncid: '${appfunc.id}', funcsn: '${appfunc.funcSN}', functype: '${appfunc.appFuncType}', openmode: '${appfunc.openMode}'<#if appfunc.getPSAppView()??><#assign _appview=appfunc.getPSAppView()>, routepath: '${_appview.getPSAppModule().codeName?lower_case}_${_appview.codeName?lower_case}'</#if><#if appfunc.getPSSubAppView()??><#assign _appview=appfunc.getPSSubAppView()>, subapp: '${appfunc.getPSSubAppRef().folderName}', viewname: '${filename(_appview.codeName)}'</#if><#if appfunc.getUserData()??>, userData: '${appfunc.getUserData()}'</#if><#if appfunc.getUserData2()??>,userData2:'${appfunc.getUserData2()}'</#if><#if appfunc.getPSPDTAppFuncId()??>, pdtAppFuncId: '${appfunc.getPSPDTAppFuncId()}'</#if><#if appfunc.getJSCode()??>, jsCode: '${srfjsstring('${appfunc.getJSCode()}')}'</#if><#if appfunc.getHtmlPageUrl()??>, htmlPageUrl: '${appfunc.getHtmlPageUrl()}'</#if><#if (appfunc.getViewWidth() gt 0)>, viewwidth: ${appfunc.getViewWidth()?c}</#if><#if (appfunc.getViewHeight() gt 0)>, viewheight: ${appfunc.getViewHeight()?c}</#if>, viewtitle: '${appfunc.getViewTitle()}', openviewparam: ${appfunc.getOpenViewParam().toString()}};
        this.appFunctions.push(appfun_${appfunc_index});
        
        </#list>
        </#if>
    };
  
    return ${srfclassname('${ctrl.name}')};
    
  }(IBizAppMenu));