/**
 *  ${view.getTitle()} 视图控制器基类，不建议修改
 *
 * @class ${view.codeName}ControllerBase
 * @extends {${viewContorllerName}}
 */
var ${view.codeName}ControllerBase = /** @class */ (function (_super) {
    __extends(${view.codeName}ControllerBase, _super);
    
    /**
     * Creates an instance of ${view.codeName}ControllerBase.
     * 创建 ${view.codeName}ControllerBase 实例
     *
     * @param {*} [opts={}]
     * @memberof ${view.codeName}ControllerBase
     */
    function ${view.codeName}ControllerBase(opts) {
        if (opts === void 0) { opts = {}; }
        var _this = _super.call(this, opts) || this;

        <#if view.getAllPSControls()??>
        <#list view.getAllPSControls()?reverse as ctrl>
        <#if pfstyle.hasPSPFCtrlTempls(ctrl,'CONTROLLERBASE')>
        this.${ctrl.name} = new ${view.codeName}_${srfclassname('${ctrl.name}')}({
            name: '${ctrl.name}',
            url: opts.url,
            viewController: this,
            $route: opts.$route,
            $router: opts.$router,
            $vue: opts.$vue
        });
        this.controls.set('${ctrl.name}', this.${ctrl.name});
        </#if>
        </#list>
        </#if>
        return _this;
    }