<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>${view.getTitle()} -- ${app.getName()}</title>
    <style type="text/css">
        html, body, #app {
            height: 100%;
            margin: 0;
        }
    </style>
    <link rel="icon" type="image/png" href="../../../packages/assets/img/logo.png?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}">

    <link rel="stylesheet" type="text/css" href="../../../packages/assets/plugins/font-awesome/4.3.0/css/font-awesome.min.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"/>
    <link rel="stylesheet" type="text/css" href="../../../packages/assets/plugins/iview/styles/iview.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"/>
    <link rel="stylesheet" type="text/css" href="../../../packages/assets/plugins/element-ui/element-ui.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"/>
    <!-- 日历插件 begin -->
    <link rel="stylesheet" type="text/css" href="../../../packages/assets/plugins/fullcalendar-4.2.0/packages/core/main.min.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}">
    <link rel="stylesheet" type="text/css" href="../../../packages/assets/plugins/fullcalendar-4.2.0/packages/daygrid/main.min.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}">
    <!-- 日历插件 end -->
    <link rel="stylesheet" type="text/css" href="../../../packages/ibizsys/dist/css/ibizsys.min.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"/>
    <link rel="stylesheet" type="text/css" href="../../../expand-plugins/expand-plugins.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}">
    <link rel="stylesheet" type="text/css" href="../../../theme/ibiz-theme.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}">
    <link rel="stylesheet" type="text/css" href="../../../user/user.css?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}">

    <script type="text/javascript" src="../../../packages/assets/dist/assets.min.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../packages/assets/plugins/tinymce/tinymce.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../packages/assets/plugins/tinymce/langs/zh_CN.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
</head>

<body>
    <div id='app' v-loading="iBizHttp.isLoading">
        <router-view :class="themeClass" :style="{fontFamily: fontFamily}"></router-view>
        <template v-for="(modal, index) of modals">
            <ibiz-modal :key="index" :params="modal" :index="index" @on-close="closeModal"></ibiz-modal>
        </template>
    </div>
    
    <script type="text/javascript" src="../../../theme/ibiz-theme.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../environments/ibiz-environment.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../packages/ibizsys/dist/util/ibiz-hand-response-data.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../packages/ibizsys/dist/ibizsys.min.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <#if view.getViewType() == 'APPINDEXVIEW' || view.getViewType() == 'APPPORTALVIEW'>
    <script type="text/javascript" src="../../../packages/apputil/dist/user/user.component.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../packages/apputil/dist/theme/theme.component.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    </#if>
    
    <script type="text/javascript" src="../../${filename(view.getPSAppModule().codeName)}/${filename(view.codeName)}/${filename(view.codeName)}-allrefview.min.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    
    <script type="text/javascript" src="../../../expand-plugins/expand-plugins.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script type="text/javascript" src="../../../user/user.js?v=<#if view.isPSDEView()>${view.getPSDataEntity().getVersion()?c}_</#if>${view.getLastModifyTimeStr()?replace('-','')?replace(':','')?replace(' ','')}"></script>
    <script>
        var ${view.codeName}Router = new VueRouter({
            routes: [
                {
                    path: '',
                    redirect: {
                        name: '${filename(view.codeName)}'
                    }
                },
                {
                    path: '/${filename(view.codeName)}/:params?',
                    name: '${filename(view.codeName)}',
                    beforeEnter: function(to, from, next) {
                        var params = {};
                        if (to.params.params) {
                            Object.assign(params, IBizUtil.matrixURLToJson(to.params.params));
                        }
                        IBizAuthguard.getInstance().canActivate('/${app.getAppFolder()}/${view.getPSAppModule().codeName}/${view.codeName}.do', params).subscribe(function (state) {
                            next();
                        }, function (error) {
                            next();
                        });
                    },
                    component: Vue.options.components['${filename(view.codeName)}'],
                    <#if vue2states?size gt 0>
                    children: [
                        <#list vue2states as state1>
                        <#if (state1.getLevel() == 1)>
                        {
                            path: '${state1.name}/:params?',
                            name: '${state1.name}',
                            component: Vue.options.components['${filename(state1.getPSAppView().codeName)}'],
                            <#if state1.getChildStateList()?size gt 0>
                            children: [
                                <#list state1.getChildStateList() as state2>
                                {
                                    path: '${state2.name}/:params?',
                                    name: '${state2.name}',
                                    component: Vue.options.components['${filename(state2.getPSAppView().codeName)}'],
                                    <#if state2.getChildStateList()?size gt 0>
                                    children: [
                                        <#list state2.getChildStateList() as state3>
                                        {
                                            path: '${state3.name}/:params?',
                                            name: '${state3.name}',
                                            component: Vue.options.components['${filename(state3.getPSAppView().codeName)}'],
                                        },
                                        </#list>
                                    ]
                                    </#if>
                                },
                                </#list>
                            ]
                            </#if>
                        },
                        </#if>
                        </#list>
                    ]
                    </#if>
                }
            ]
        });
        var vueObj = new Vue({
            el: '#app',
            router: ${view.codeName}Router,
            data: {
                modals: [],
                isShowMask: false,
                themeClass: '',
                fontFamily: '',
                iBizHttp: IBizHttp.getInstance(),
            },
            mounted: function() {
                var iBizApp = IBizApp.getInstance();
                if (iBizApp) {
                    this.themeClass = iBizApp.getThemeClass();
                    this.fontFamily = iBizApp.getFontFamily();
                }
            },
            methods: {
                'addModal': function (modal) {
                    this.modals.push(modal);
                },
                'closeModal': function (index) {
                    if (index != undefined && typeof index == 'number' && index >= 0) {
                        this.modals.splice(index, 1);
                    }
                },
                'setThemeClass': function(val) {
                    this.themeClass = val;
                    var iBizApp = IBizApp.getInstance();
                    if (iBizApp) {
                        iBizApp.setThemeClass(val);
                    }
                },
                'setFontFamily': function(val) {
                	this.fontFamily = val;
                    var iBizApp = IBizApp.getInstance();
                    if (iBizApp) {
                        iBizApp.setFontFamily(val);
                    }
                }
            }
        });
    </script>
</body>

</html>