/**
     * 表单项值变化事件
     * 
     * @param {string} fieldname 
     * @param {*} value 
     * @param {*} [field={}] 
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.onWizardFormFieldChanged = function(formName, fieldname, field, value) {
        <#assign wizardPanel=view.getPSControl('wizardpanel')>
        <#list wizardPanel.getPSDEEditForms() as form>
        if(formName == '${form.name}'){
            var form = this.getWizardPanel().getForm(formName);
            if(form) {
                <#if srfpubparam(form.name+'_fdlogics')??>
                <#list srfpubparam(form.name+'_fdlogics') as fdlogic>
                ${fdlogic}
                </#list>
                </#if>
                <#if form.getPSDEFormItems()??>
                <#list form.getPSDEFormItems() as formitem>
                <#if formitem.getPSDEFormItemUpdate()??>
                if(fieldname == '${formitem.name}') {
                    form.updateFormItems('${formitem.getPSDEFormItemUpdate().codeName}');
                }
                </#if>
                </#list>
                </#if>
            }
        }
        </#list>
    }