Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-expview ibiz-view view-content" :dis-hover="true">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

            <row class="ibiz-expview-content">
                <layout>
                    <#assign width = 240>
                    <#if (view.hasPSControl('expbar'))>
                    <#assign expBar = view.getPSControl('expbar')/>
                    <#if expBar.getWidth() gt 0><#assign width = expBar.getWidth()?c></#if>
                    <sider class="ibiz-wf-exp-bar" :width="${expBar.name}.isCollapsed ? ${width} : 41">
                        <#if expbar??>
                        ${expbar.code}
                        </#if>
                    </sider>

                    <content :style="{ width: ${expBar.name}.isCollapsed ? 'calc(100% - ${width}px)' : 'calc(100% - 41px)' }">
                        <router-view></router-view>
                    </content>

                    </#if>

                </layout>
            </row>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});