Vue.component('${filename(view.codeName)}_embeddedview', {
    template: `
        <ibiz-card class="ibiz-view ibiz-expview" :dis-hover="true">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

            <row class="ibiz-expview-content">
                <layout>
                    <#assign width = 240>
                    <#if (view.hasPSControl('treeexpbar'))>
                    <#assign treeExpBar = view.getPSControl('treeexpbar')/>
                    <#if treeExpBar.getWidth() gt 0><#assign width = treeExpBar.getWidth()?c></#if>
                    <#else>
                    <#assign width = 0>
                    </#if>
                    <sider class="ibiz-tree-exp-bar" :width="${width}">
                        <#if treeexpbar??>
                        ${treeexpbar.code}
                        </#if>
                    </sider>

                    <content :style="{ width: 'calc(100% - ${width}px)' }">
                        <router-view></router-view>
                    </content>
                </layout>
            </row>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/EMBEDDED_VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
        <#if treeexpbar??>
        ${treeexpbar.code2}
        </#if>
    },
});