Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-editview ibiz-view" :dis-hover="true" :bordered="false">
        <#if layoutpanel??>
            ${layoutpanel.code}
        <#else>

            <#ibizinclude>../../@MACRO/VIEW_CAPTION_DATAINFO.ftl</#ibizinclude>
            
            <span slot="extra">
                <#if toolbar??>
                ${toolbar.code}
                </#if>
            </span>
            <row class="ibiz-editview-content">
                <#if form??>
                ${form.code}
                </#if>
            </row>
        </#if>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});