Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-editview ibiz-view" :dis-hover="true" :bordered="false">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION_DATAINFO.ftl</#ibizinclude>

            <span slot="extra"  v-show="viewController.isShowToolBar">
                <#if toolbar??>
                ${toolbar.code}
                </#if>
            </span>
            <row class="ibiz-editview3-content">

                <#comment><!--开始：关系分页部件--></#comment>
                <#if view.hasPSControl("drtab")>
                <#assign drtab = view.getPSControl("drtab")>
                <#assign tabsname=drtab.getId()>
                <tabs name="${tabsname}" @on-click="${drtab.name}.onTabSelectionChange($event)"  :value="${drtab.name}.activeTab.name" :animated="false">

                <#list drtab.getRootItem().getAllItems() as dritem>
                <#if (dritem_index == 0)>
                    <#if form??>
                    <tab-pane tab="${tabsname}" label="${dritem.text}"  name="form" <#if view.isHideEditForm()> :style="{ display: 'none' }"</#if>>
                        ${form.code}
                    </tab-pane>
                    </#if>
                <#else>
                    <tab-pane tab="${tabsname}" label="${dritem.text}" name="${dritem.getId()?lower_case}" :disabled="${drtab.name}.tabs.${dritem.getId()?lower_case}.disabled">
                        <router-view  v-if="${drtab.name}.activeTab.name == '${dritem.getId()?lower_case}'"></router-view>
                    </tab-pane>
                </#if>
                </#list> 

                </tabs>
                </#if>

                <#comment><!--结束：关系分页部件--></#comment>

            </row>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});