Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-editview ibiz-view" :dis-hover="true" :bordered="false">
            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>
            <Timeline>
                <template v-for="item of wfstepactor.items">
                    <TimelineItem class="ibiz-time-line-item">
                        <div class="ibiz-time-line-header">
                            <div>
                                <div>{{ item.actorname }}</div>
                                <span>{{ item.wfstepdataname }}</span>
                            </div>
                            <span>{{ item.wfplogicname }}</span>
                        </div>
                        <div class="ibiz-time-line-foolter">
                            <div v-if="item.memo && item.memo != ''">审批意见：{{ item.memo }}</div>
                            <div>处理时间：{{ item.actiontime }}</div>
                        </div>
                    </TimelineItem>
                </template>
            </Timeline>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});