<#ibiztemplate>
PUBOBJ=Vue2.PSVue2DETBUIActionVC
</#ibiztemplate>
<#assign deuiaction=item.getPSUIAction()>
<#if deuiaction.getUIActionTag() == 'ExportExcel'>
    <#if  view.hasPSControl("GRID")>
    <template v-if="${ctrl.name}.items.${item.getName()?lower_case}.dataaccaction">
        <dropdown style="margin-left: 8px;" trigger="custom" transfer="true" :visible="${ctrl.name}.exportMenuState" <#if !item.isShowCaption()>v-bind:title="${ctrl.name}.items.${item.getName()?lower_case}.caption"</#if>>
            <i-button class="<#if item.getPSSysCss()??>${item.getPSSysCss().getCssName()}</#if>"  @click="${ctrl.name}.exportMenuState = true">
                <#if item.isShowIcon() && item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)><i class="${img.getCssClass()}"></i>&nbsp; </#if></#if>
                <#if item.isShowCaption()><span>{{${ctrl.name}.items.${item.getName()?lower_case}.caption}}</span></#if>
                <icon type="ios-arrow-down"></icon>
            </i-button >
            <dropdown-menu slot="list">
                <dropdown-item>
                    <#assign gridhandler = view.getPSControl("GRID").getPSAjaxControlHandler()>
                    <p @click="${ctrl.name}.itemExportExcel('ExportExcel', 'all')">${item.caption!''}全部(最大导出<#if gridhandler?? && gridhandler.getPSDEDataExport()??>${gridhandler.getPSDEDataExport().getMaxRowCount()?c}<#else>${sys.getDEDataExportMaxRowCount()?c}</#if>行)</p>
                </dropdown-item>
                <dropdown-item>
                    <p @click="${ctrl.name}.itemExportExcel('ExportExcel')">${item.caption!''}当前页</p>
                </dropdown-item>
                <dropdown-item>
                    ${item.caption!''}第
                    <i-input v-model="${ctrl.name}.exportStartPage" style="width: 30px;"></i-input>
                    <i-input v-model="${ctrl.name}.exportEndPage" style="width: 30px;"></i-input>
                    <i-button @click="${ctrl.name}.itemExportExcel('ExportExcel', 'custom')">Go!</i-button>
                </dropdown-item>
            </dropdown-menu>
        </dropdown>
    </template>
    </#if>
<#else>
    <template v-if="${ctrl.name}.items.${item.getName()?lower_case}.dataaccaction">
        <i-button style="margin-left: 8px;" <#if !item.isShowCaption()>v-bind:title="${ctrl.name}.items.${item.getName()?lower_case}.caption"</#if> :disabled="${ctrl.name}.items.${item.getName()?lower_case}.disabled" class="<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>" @click="${ctrl.name}.itemclick('${item.getName()?lower_case}', '${deuiaction.getUIActionTag()}')">
            <#if item.isShowIcon() && item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)><i class="${img.getCssClass()}"></i> </#if></#if>
            <#if item.isShowCaption()><span>{{${ctrl.name}.items.${item.getName()?lower_case}.caption}}</span></#if>
        </i-button>
    </template>
</#if>