/**
 * ${view.getTitle()} （视图控制器，开发扩展使用）
 *
 * @class ${view.codeName}Controller 
 * @extends {${view.codeName}ControllerBase}
 */
var ${view.codeName}Controller = /** @class */ (function (_super) {

    __extends(${view.codeName}Controller, _super);

    /**
     * Creates an instance of ${view.codeName}Controller.
     * 创建 ${view.codeName}Controller 实例
     *
     * @param {*} [opts={}]
     * @memberof ${view.codeName}Controller
     */
    function ${view.codeName}Controller(opts) {
        if (opts === void 0) { opts = {}; }
        var _this = this;
        var _opts = {
            id: '${view.getId()}',
            name: '${view.codeName}',
            url: '/${app.getAppFolder()}/${view.getPSAppModule().codeName}/${view.codeName}.do',
            title: '${view.getTitle()}',
            caption: '${view.getCaption()}',
            <#if view.getPSSysImage()??>
            icon: '${view.getPSSysImage().getImagePath()}',
            iconcls: '${view.getPSSysImage().getCssClass()}'
            </#if>
        };
        Object.assign(opts, _opts);
        _this = _super.call(this, opts) || this;
        return _this;
    }

    return ${view.codeName}Controller;
    
}(${view.codeName}ControllerBase));