<#comment><!--结束：工作流版本--></#comment>
    /**
     * 获取编辑模式
     *
     * @param {*} [data={}]
     * @returns {*}
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.getEditMode = function (data){
        if (data === void 0) { data = {}; }
        var editMode = _super.prototype.getEditMode.call(this, data);
        <#if view.isWFIAMode()>
        <#if view.hasPSControl("grid")?? && view.getPSControl("grid").hasWFDataItems() == true>
        <#assign fieldname = 'srfwfstep'>
        <#else>
        <#assign fieldname = view.getPSDEWF().getWFStepPSDEField().getName()>
        </#if>
            if(editMode && editMode !== '') {
                editMode = editMode + ':' + data.${fieldname?lower_case};
            } else {
                editMode = data.${fieldname?lower_case};
            }
        <#if view.getPSDEWF().getWFVerPSDEField()??>
        <#if view.hasPSControl("grid")?? && view.getPSControl("grid").hasWFDataItems() == true>
        <#assign verfieldname = 'srfwfver'>
        <#else>
        <#assign verfieldname = view.getPSDEWF().getWFVerPSDEField().getName()>
        </#if>
            const ver = data.${verfieldname?lower_case};
            if(ver && ver !== '' && ver !== '1') {
                editMode = editMode + '@' + ver;
            }
        </#if>
        </#if>
        return editMode;
    }
    <#comment><!--开始：工作流版本--></#comment>