Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-expview ibiz-view" :dis-hover="true">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

            <row class="ibiz-expview-content">
                <tabs v-model="viewController.tabItem.name" @on-click="onTabChange" :animated="false">
                    <template v-for="tab of viewController.tabs">
                        <tab-pane :name="tab.name" class="" :label="tab.title">
                    </template>
                </tabs>
                <div style="height: calc(100% - 52px)">
                    <router-view></router-view>
                </div>
            </row>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
        'onTabChange': function(name) {
    		this.viewController.changeTab(name);
    	}
    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});