Vue.component('${filename(view.codeName)}_embeddedview', {
    template: `
        <ibiz-card class="ibiz-chartview ibiz-view view-content" :dis-hover="true">
        <#if layoutpanel??>
            ${layoutpanel.code}
        <#else>
            <row class="ibiz-chartview-content">
                <#if searchform??>
                <#assign searchForm1 = view.getPSControl('SEARCHFORM')/>
                <row :style="{ margin: '15px 15px 0' }" v-show="${searchForm1.name}.opened">
                    ${searchform.code}
                </row>
                </#if>

                <#if chart??>
                <row>
                    ${chart.code}
                </row>
                </#if>
            </row>
        </#if>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/EMBEDDED_VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
        <#if chart??>
        ${chart.code2}
        </#if>
    },
});