Vue.component('${filename(view.codeName)}', {
    template: `
        <card :dis-hover="true">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>


            <#comment><!--开始：快速搜索或搜索表单存在--></#comment>
            <#if (view.isEnableQuickSearch() || searchform??)>
            <row :style="{ marginBottom: '15px' }">
                <#if view.isEnableQuickSearch()>
                <i-input v-model="viewController.searchValue" @on-search="viewController.onQuickSearch(viewController.searchValue)"  search enter-button :style="{ width: '400px', float: 'left' }" :placeholder="viewController.quickSearchTipInfo"/>
                </#if>
                <#if searchform??>
                <#assign searchForm = view.getPSControl('SEARCHFORM')/>
                <div class="pull-right" :style="{ cursor: 'pointer' }" @click="viewController.openSearchForm()">
                    <span>展开</span>
                    <span>
                        <icon :type="!${searchForm.name}.opened ? 'md-arrow-dropdown' : 'md-arrow-dropup'"/>
                    </span>
                </div>
                </#if>
            </row>
            </#if>
            <#comment><!--结束：快速搜索或搜索表单存在--></#comment>

            <#if searchform??>
            <#assign searchForm1 = view.getPSControl('SEARCHFORM')/>
            <row :style="{ margin: '15px 15px 0' }" v-show="${searchForm1.name}.opened">
                ${searchform.code}
            </row>
            </#if>

            <#if reportpanel??>
            <row>
                ${reportpanel.code}
            </row>
            </#if>

        </card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
        <#if reportpanel??>
        ${reportpanel.code2}
        </#if>
    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});