Vue.component('${filename(view.codeName)}_modalview', {
    template: `
        <ibiz-card class="ibiz-gridview ibiz-view" :dis-hover="true">
            <div slot="title">
                <div v-show="!viewController.isOpenRowEdit">
						<#if toolbar??>
						${toolbar.code}
						</#if>
					</div>
					<div v-show="viewController.isOpenRowEdit">
						<#if toolbar2??>
						${toolbar2.code}
						</#if>
					</div>
            </div>

            <span slot="extra">
                ${toolbar.code}
                <#if view.isEnableQuickSearch()>
                <i-input v-model="viewController.searchValue" @on-search="viewController.onQuickSearch(viewController.searchValue)"  search enter-button :style="{ width: '400px' }" :placeholder="viewController.quickSearchTipInfo"/>
                </#if>
            </span>

            <div class="ibiz-gridview-content">
            <#if grid??>
            <row style="heigth: 100%;">
                ${grid.code}
            </row>
            </#if>
            </div>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/MODAL_VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
        <#if grid??>
        ${grid.code2}
        </#if>
    },
});