html, body {
    height: 100%;
    margin: 0;
}
.image {
    position: absolute;
    right: 0;
    bottom: 30px;
    width: 50%;
}
.container {
	padding-top: 10%;
    padding-left: 25%;
}
.title {
	display: flex;
	margin-bottom: 15px;
	padding-left: 15px;
}
.title > div {
    padding: 3px 5px;
    font-size: 18px;
    margin-left: 15px;
}
.content {
	display: flex;
}
.content .text {
	margin-left: 15px;
    font-size: 18px;
}
.content .text > div {
	padding: 12px 0;
}
#time {
	color: #108cee;
}
.log_footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 10px 0;
}
.log_footer { 
	text-align: center;
    width: 100%;
}
.log_footer a {
    text-decoration: none;
    color: #108cee;
}
/*按钮样式*/
.btn {
	font-weight: 400;
    text-align: center;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    border: 1px solid transparent;
    white-space: nowrap;
    cursor: pointer;
}
.btn-primary {
	color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}
.btn-default {
	color: #108cee;
    background-color: #ffffff;
    border: solid 1px #108cee;
}
.btn-primary:hover {
    background-color: #0062cc;
    border-color: #005cbf;
}